package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel
public class DrpPayAndRefundRecordsListVO {
   @ApiModelProperty("付款/退款id")
   private Long id;
   @ApiModelProperty("付款/退款金额")
   private Long amount;
   @ApiModelProperty("付款/收款银行")
   private String bank;
   @ApiModelProperty("付款/收款账号名称")
   private String accountName;
   @ApiModelProperty("付款/收款账号")
   private String account;
   @ApiModelProperty("付款/退款时间")
   private LocalDateTime time;
   @ApiModelProperty("付款/退款备注")
   private String remark;
   @ApiModelProperty("类型(1付款，2退款)")
   private Integer payRefundType;

   public Long getId() {
      return this.id;
   }

   public Long getAmount() {
      return this.amount;
   }

   public String getBank() {
      return this.bank;
   }

   public String getAccountName() {
      return this.accountName;
   }

   public String getAccount() {
      return this.account;
   }

   public LocalDateTime getTime() {
      return this.time;
   }

   public String getRemark() {
      return this.remark;
   }

   public Integer getPayRefundType() {
      return this.payRefundType;
   }

   public DrpPayAndRefundRecordsListVO setId(final Long id) {
      this.id = id;
      return this;
   }

   public DrpPayAndRefundRecordsListVO setAmount(final Long amount) {
      this.amount = amount;
      return this;
   }

   public DrpPayAndRefundRecordsListVO setBank(final String bank) {
      this.bank = bank;
      return this;
   }

   public DrpPayAndRefundRecordsListVO setAccountName(final String accountName) {
      this.accountName = accountName;
      return this;
   }

   public DrpPayAndRefundRecordsListVO setAccount(final String account) {
      this.account = account;
      return this;
   }

   public DrpPayAndRefundRecordsListVO setTime(final LocalDateTime time) {
      this.time = time;
      return this;
   }

   public DrpPayAndRefundRecordsListVO setRemark(final String remark) {
      this.remark = remark;
      return this;
   }

   public DrpPayAndRefundRecordsListVO setPayRefundType(final Integer payRefundType) {
      this.payRefundType = payRefundType;
      return this;
   }


   public String toString() {
      Long var10000 = this.getId();
      return "DrpPayAndRefundRecordsListVO(id=" + var10000 + ", amount=" + this.getAmount() + ", bank=" + this.getBank() + ", accountName=" + this.getAccountName() + ", account=" + this.getAccount() + ", time=" + String.valueOf(this.getTime()) + ", remark=" + this.getRemark() + ", payRefundType=" + this.getPayRefundType() + ")";
   }
}
